IPSETDOT(1)

NAME
ipsetdot - utility of libcorkipset library

SYNOPSIS
ipsetdot [options] <input filename>

DESCRIPTION
Creates a GraphViz file showing the BDD structure of an IP set.

OPTIONS

    <input filename>

The binary set file to read.
    To read from stdin, use "-" as the

    filename.

--output=<filename>, -o <filename>

    Writes the GraphViz representation of the binary IP set file to <filename>. If this option isn't given, then the contents will be written to standard output.

--verbose, -v

Show progress information about the files being read and written.
    If

    this option is not given, the only output will be any error messages that occur.

--help

    Display this help and exit.

  Output format:

    Internally, IP sets are represented by a binary-decision diagram (BDD). The ipsetdot program can be used to produce a GraphViz file that describes the internal BDD structure for an IP set. The GraphViz representation can then be passed in to GraphViz's "dot" program, for instance, to generate an image of the BDD's graph structure.